Bug 135382 - anaconda hangs when connected USB keyboard
anaconda hangs when connected USB keyboard
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-12 08:59 EDT by TAIRA Hajime
Modified: 2015-01-04 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:04:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description TAIRA Hajime 2004-10-12 08:59:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.7.2)
Gecko/20040810

Description of problem:
anaconda hangs when connected USB keyboard.
When connected PS/2 keyboard, no problem to running anaconda.
FC2's anaconda was running in same environment.

Version-Release number of selected component (if applicable):
unknown

How reproducible:
Always

Steps to Reproduce:
1.USB keyboard connect to computer.
2.turn on computer.
3.starting Fedora Core installer by CD boot
4.hang up when executing /sbin/loader

Additional info:

My machine information.

IBM NetVista A40(6881-20J)
BIOS's USB HID to PS/2 Emulation:on
USB Controller:Intel Corp. 82801AA USB (rev 02)
Using kernel module:uhci-hcd.ko

This is console message, when pushed Ctrl+ALT+F3.
* load module set done
* looking for usb controllers
* found USB controller uhci-hcd
* modules to insert uhci-hcd
* loaded uhci-hcd from /modules/modules.cgz
* inserted /tmp/uhci-hcd.ko
* load module set done
* waiting for usb to became stable...
* 2 seconds.
Comment 1 Dave Jones 2005-07-15 15:26:21 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 TAIRA Hajime 2005-07-17 09:58:12 EDT
Thank you for contacting.

I tried anaconda on FC4. It doesn't reproduce bug.
Probably, bug fixed. Please change this bug status to 'CLOSED'.
Comment 3 Dave Jones 2006-01-16 17:09:17 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 4 Dave Jones 2006-02-03 01:28:30 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 5 John Thacker 2006-05-04 09:04:20 EDT
Reporter several comments above says it was fixed.

Note You need to log in before you can comment on or make changes to this bug.